Package: org.grails.plugins.support

## [Java] Class WatchPatternParser

- org.grails.plugins.support.WatchPatternParser

-     public class WatchPatternParser
      extends java.lang.Object

  Parses a Grails plugin's watchedResources property value into a list of

  Since:
    2.0
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WILD_CARD` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List<WatchPattern>` | `getWatchPatterns(java.util.List<java.lang.String> patterns)`
    `` | `private void` | `setExtension(java.lang.String pattern, WatchPattern watchPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WILD_CARD

  - ### Method Detail

    - #### public java.util.List<WatchPattern> getWatchPatterns(java.util.List<java.lang.String> patterns)

    - #### private void setExtension(java.lang.String pattern, WatchPattern watchPattern)